octomon - Segnalazione #659

Modifica di "Altro Hardware" nelle scuole
10/31/2018 07:14 PM - Paolo Dongilli

Status: Risolto Start date: 10/31/2018
Priority: Normale Due date:

Assignee: Paolo Dongilli % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Resolution:

Description

Sembra manchi la funzionalita per editare I"altro hardware" aggiunto nelle scuole. E* possibile crearlo ma non modificarlo.

Associated revisions

Revision 48eaaa3a - 11/03/2018 03:43 PM - Marco Marinello
Automatically switch to the requested tab. refs #659

Revision ea6f021e - 11/03/2018 03:54 PM - Marco Marinello

Automatically update hash on tab change. refs #659

Revision 3e436e64 - 11/03/2018 04:12 PM - Marco Marinello

Use the prefix for redirections. refs #659

Revision 1fb2ce0c - 11/03/2018 04:37 PM - Marco Marinello

Uniform report problem button. refs #659

Revision 6070c6b7 - 11/03/2018 05:13 PM - Marco Marinello

Do not allow editing school. refs #659

Revision 20f7db5e - 11/03/2018 05:14 PM - Marco Marinello

Set school to current school. refs #659

Revision ¢2f237bd - 11/03/2018 05:14 PM - Marco Marinello

Fix perms name; allow editing otherhardware. refs #659

Revision 28359af6 - 11/03/2018 05:20 PM - Marco Marinello

Add some missing translations. refs #659

Revision 6¢3b1ccd - 11/03/2018 05:27 PM - Marco Marinello
Update translations. refs #659

Revision d4858ffe - 11/09/2018 02:35 PM - Marco Marinello

Allow decide if other hardware is dismissed. refs #659

Revision bfa2c852 - 11/09/2018 02:39 PM - Marco Marinello

Introduce a created_by field for other hardware. refs #659
WARNING: this update requires a clean other hardware db
Revision 1¢78835d - 11/09/2018 02:44 PM - Marco Marinello
Add created_by even in the view. refs #659

Revision 6e838db1 - 11/09/2018 02:45 PM - Marco Marinello

Use full name refs #659

Revision a7ec9f2c - 11/09/2018 02:48 PM - Marco Marinello
Use django<1.10 syntax refs #659

History

#1 - 11/03/2018 03:44 PM - Marco Marinello

- Status changed from Nuovo to In elaborazione

#2 - 11/03/2018 04:48 PM - Marco Marinello

Il template utilizzava il permesso hosts.add_otherhardware che NON ESISTE! Il permesso corretto & schools.add_otherhardware. D'ora in poi si
usera anche schools.change_otherhardware per definire se l'utente puo editare o meno gli Other Hardware.

#3 - 11/03/2018 05:06 PM - Marco Marinello

Ho introdotto un'ulteriore modifica che preclude la possibilita di spostare un other hardware da una scuola all'altra (anche ad una di cui non si &
tecnici).

#4 - 11/03/2018 05:37 PM - Marco Marinello
- Status changed from In elaborazione to Commenti

- Assignee changed from Marco Marinello to Paolo Dongilli

Modifica completata e messa in produzione.

Ricapitolando, ora si pud modificare I'hardware ma solo se si ha il permesso (o si & superuser)
schools.change_otherhardware

mentre lo si pud creare se si ha il permesso

schools.add_otherhardware

#5 - 11/05/2018 02:09 AM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Marco Marinello

Testato e funzionante.
Segnalo che nella maschera di edit manca il checkbox per fare la dismissione del bene.

#6 - 11/09/2018 02:49 PM - Marco Marinello

- Assignee changed from Marco Marinello to Paolo Dongilli

Aggiunto anche quello oltre ad un campo "created_by"
#7 - 11/27/2018 12:46 AM - Paolo Dongilli
- Status changed from Commenti to Risolto

- % Done changed from 0 to 100
